Skip to content

Retrieve all debug log sessions in the authenticated Vault.

GET/api/{version}/logs/code/debug
NameDescription
Acceptapplication/json
NameDescription
user_id
optional
Filter results to retrieve the debug log for this user ID only. If omitted, this request retrieves debug logs for all users in the Vault.
include_inactive
optional
Set to true to include debug log sessions with a status of inactive__sys in the response. If omitted, defaults to false and inactive sessions are not included in the response.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.1/logs/code/debug
{ "responseStatus": "SUCCESS", "data": [ { "id": "0LS000000003006", "name": "Record Trigger Troubleshooting", "user_id": 61603, "log_level": "all__sys", "expiration_date": "2025-01-11T03:09:47.000Z", "class_filters": [ { "name": "com.veeva.vault.custom.triggers.HelloWorld", "code_type": "Recordtrigger" } ], "status": "active__sys", "created_date": "2024-12-12T03:09:47.000Z" } ] }

On SUCCESS, the response includes the following data for each debug log: